Bug 1736731 - swig: FTBFS in Fedora 31: panic: runtime error: index out of range [15] with length 0
Summary: swig: FTBFS in Fedora 31: panic: runtime error: index out of range [15] with ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: swig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 20:28 UTC by Fedora Release Engineering
Modified: 2019-08-12 12:39 UTC (History)
4 users (show)

Fixed In Version: swig-4.0.0-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 12:36:23 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-08-01 20:28 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 20:28 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-08-01 20:28 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github swig swig issues 1607 0 None None None 2019-08-07 10:55:41 UTC

Description Fedora Release Engineering 2019-08-01 20:28:41 UTC
swig failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637776


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix swig at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
swig will be orphaned. Before branching of Fedora 32,
swig will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 20:28:50 UTC
Created attachment 1599418 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-08-01 20:28:54 UTC
Created attachment 1599419 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 20:28:56 UTC
Created attachment 1599420 [details]
state.log

Comment 4 Petr Pisar 2019-08-02 09:07:57 UTC
A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/6719636>.
Upgrading golang from 1.12.7-1.fc31 to 1.13-0.beta1.1.fc31 looks suspitious.

Comment 5 Petr Pisar 2019-08-02 09:12:12 UTC
From the build log:

panic: runtime error: index out of range [15] with l
ength 0
BUILDSTDERR: goroutine 1 [running]:
BUILDSTDERR: cmd/link/internal/ld.decodetypeKind(...)
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/internal/ld/decodesym.go:69
BUILDSTDERR: cmd/link/internal/ld.newtype(0x27ca000, 0x27d4814, 0x24636f8)
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:424 +0x2564
BUILDSTDERR: cmd/link/internal/ld.defgotype(0x27ca000, 0x27d4814, 0x13)
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:419 +0x188
BUILDSTDERR: cmd/link/internal/ld.dwarfGenerateDebugInfo(0x27ca000)
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/internal/ld/dwarf.go:1900 +0x7e4
BUILDSTDERR: cmd/link/internal/ld.Main(0x3f25c8, 0x4, 0x8, 0x1, 0xd, 0xe, 0x269218, 0x12, 
0x26c395, 0x18, ...)
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/internal/ld/main.go:212 +0xb38
BUILDSTDERR: main.main()
BUILDSTDERR:    /usr/lib/golang/src/cmd/link/main.go:65 +0x118
BUILDSTDERR: make[3]: *** [../../Makefile:1623: go_cpp] Error 1
BUILDSTDERR: make[2]: *** [Makefile:16: build] Error 2
BUILDSTDERR: make[2]: Target 'check' not remade because of errors.

Comment 6 Jitka Plesnikova 2019-08-07 14:32:45 UTC
I disable Go tests in the build swig-4.0.0-4.fc31 until I will have the fix for it.

Comment 7 Jitka Plesnikova 2019-08-12 12:36:23 UTC
Backported the upstream fix.


Note You need to log in before you can comment on or make changes to this bug.